# Record TCefProcessMessage

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefProcessMessage = record`

## Description

Structure representing a message. Can be used on any process and thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefProcessMessage.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_process_message_capi.h">CEF source file: /include/capi/cef_process_message_capi.h (cef_process_message_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `is_valid: function(self: PCefProcessMessage): Integer; stdcall;`
| `is_read_only: function(self: PCefProcessMessage): Integer; stdcall;`
| `copy: function(self: PCefProcessMessage): PCefProcessMessage; stdcall;`
| `get_name: function(self: PCefProcessMessage): PCefStringUserFree; stdcall;`
| `get_argument_list: function(self: PCefProcessMessage): PCefListValue; stdcall;`
| `get_shared_memory_region: function(self: PCefProcessMessage): PCefSharedMemoryRegion; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `is_valid: function(self: PCefProcessMessage): Integer; stdcall;`
This item has no description.

| `is_read_only: function(self: PCefProcessMessage): Integer; stdcall;`
This item has no description.

| `copy: function(self: PCefProcessMessage): PCefProcessMessage; stdcall;`
This item has no description.

| `get_name: function(self: PCefProcessMessage): PCefStringUserFree; stdcall;`
This item has no description.

| `get_argument_list: function(self: PCefProcessMessage): PCefListValue; stdcall;`
This item has no description.

| `get_shared_memory_region: function(self: PCefProcessMessage): PCefSharedMemoryRegion; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.